Skip to main content

Update Location Aggregate Rating Resource

API Description

Update a location's aggregate rating resource. Supply the unique Apple-generated location ID assigned to the partner’s description of a location, along with the resource name, and the aggregate rating in full, not just the fields requiring updating. Any field that is omitted SHALL be interpreted as a deletion.

Request

URI Parameters

NameInput
orgId
REQUIRED
locationId
REQUIRED
Path Template
PUT {url}/api/{version}/orgs/{orgId}/locations/{locationId}/aggregate-ratings
Path Example
PUT {url}/api/v1/orgs/9467895078742654934/locations/9467895078742654976/aggregate-ratings

Request Headers

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
If-Match
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json
If-Match: "7ef2d2b4-b6e3-11ed-afa1-0242ac120002"

Request Body

NameTypeInput
$.aggregateRatingDetailsobject
REQUIRED

Counts and distribution are updated in this scenario.

Example Request Body (raw JSON)
{
"aggregateRatingDetails": {
"starRatings": [
{
"category": "OVERALL",
"bestRating": 5,
"worstRating": 1,
"ratingValue": 4.0,
"ratingCount": 510,
"reviewCount": 255,
"distribution":[
{ "key": "1", "value": 7},
{ "key": "2", "value": 19},
{ "key": "3", "value": 25},
{ "key": "4", "value": 362},
{ "key": "5", "value": 97}
]
}
],
"pricing": {
"indicator": 4
},
"type": "USER"
}
}

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
etag
location
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: c23dbe40-6264-4dbb-ad31-7a6e2ef3ee78
content-type: application/json
etag: "6d8ba9d2-b6e4-11ed-afa1-0242ac120002"
location: /api/v1/orgs/9467895078742654934/locations/9467895078742654976/aggregate-ratings

Response Body

Refer to create operation's response body for property descriptions.

Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"locationId": "9467895078742654976",
"createdDate": "2026-10-01T17:22:19.00Z",
"updatedDate": "2026-10-07T04:55:22.00Z",
"state": "SUBMITTED",
"etag": "6d8ba9d2-b6e4-11ed-afa1-0242ac120002",
"aggregateRatingDetails": {
"starRatings": [
{
"category": "OVERALL",
"bestRating": 5,
"worstRating": 1,
"ratingValue": 4.0,
"ratingCount": 510,
"reviewCount": 255,
"distribution": [
{ "key": "1", "value": 7 },
{ "key": "2", "value": 19 },
{ "key": "3", "value": 25 },
{ "key": "4", "value": 362 },
{ "key": "5", "value": 97 }
]
}
],
"pricing": {
"indicator": 4
},
"type": "USER"
},
"validationReports": []
}